=== modified file 'bzrlib/plugins/changelog_merge/tests/test_changelog_merge.py'
--- bzrlib/plugins/changelog_merge/tests/test_changelog_merge.py	2011-12-21 14:43:39 +0000
+++ bzrlib/plugins/changelog_merge/tests/test_changelog_merge.py	2011-05-13 06:34:55 +0000
@@ -188,7 +188,7 @@
         merger = builder.make_merger(merge.Merge3Merger, ['clog-id'])
         merger.this_branch.get_config().set_user_option(
             'changelog_merge_files', 'ChangeLog')
-        merge_hook_params = merge.MergeFileHookParams(merger, 'clog-id', None,
+        merge_hook_params = merge.MergeHookParams(merger, 'clog-id', None,
             'file', 'file', 'conflict')
         changelog_merger = changelog_merge.ChangeLogMerger(merger)
         return changelog_merger, merge_hook_params

=== modified file 'bzrlib/tests/test_merge.py'
--- bzrlib/tests/test_merge.py	2011-12-21 12:34:21 +0000
+++ bzrlib/tests/test_merge.py	2011-12-20 13:12:39 +0000
@@ -3246,19 +3246,20 @@
 
 class TestMergeHooks(TestCaseWithTransport):
 
-    def setUp(self):
-        super(TestMergeHooks, self).setUp()
-        self.tree_a = self.make_branch_and_tree('tree_a')
+    def setup_trees_to_merge(self):
+        tree_a = self.make_branch_and_tree('tree_a')
         self.build_tree_contents([('tree_a/file', 'content_1')])
-        self.tree_a.add('file', 'file-id')
-        self.tree_a.commit('added file')
+        tree_a.add('file', 'file-id')
+        tree_a.commit('added file')
 
-        self.tree_b = self.tree_a.bzrdir.sprout('tree_b').open_workingtree()
+        tree_b = tree_a.bzrdir.sprout('tree_b').open_workingtree()
         self.build_tree_contents([('tree_b/file', 'content_2')])
-        self.tree_b.commit('modify file')
+        tree_b.commit('modify file')
+        return tree_a, tree_b
 
-    def test_pre_merge_hook_inject_different_tree(self):
-        tree_c = self.tree_b.bzrdir.sprout('tree_c').open_workingtree()
+    def test_pre_merge(self):
+        tree_a, tree_b = self.setup_trees_to_merge()
+        tree_c = tree_b.bzrdir.sprout('tree_c').open_workingtree()
         self.build_tree_contents([('tree_c/file', 'content_3')])
         tree_c.commit("more content")
         calls = []
@@ -3268,12 +3269,13 @@
             calls.append(merger)
         _mod_merge.Merger.hooks.install_named_hook('pre_merge',
                                                    factory, 'test factory')
-        self.tree_a.merge_from_branch(self.tree_b.branch)
+        tree_a.merge_from_branch(tree_b.branch)
 
         self.assertFileEqual("content_3", 'tree_a/file')
+
         self.assertLength(1, calls)
 
-    def test_post_merge_hook_called(self):
+    def test_post_merge(self):
         calls = []
         def factory(merger):
             self.assertIsInstance(merger, _mod_merge.Merge3Merger)
@@ -3281,7 +3283,9 @@
         _mod_merge.Merger.hooks.install_named_hook('post_merge',
                                                    factory, 'test factory')
 
-        self.tree_a.merge_from_branch(self.tree_b.branch)
+        tree_a, tree_b = self.setup_trees_to_merge()
+        tree_a.merge_from_branch(tree_b.branch)
 
         self.assertFileEqual("content_2", 'tree_a/file')
+
         self.assertLength(1, calls)

